function int_romberg_bout(f, resul, T, a, b, n, N)

fid = fopen(resul, 'w');
fprintf(fid, '       Methode de Romberg\r\n');
fprintf(fid, '       ------------------\r\n\r\n');

if (ischar(f) || isa(f, 'function_handle') == 1)
  fprintf(fid, 'Fonction :  \r\n');
  fprintf(fid, '--------\r\n'); 
  
    if isa(f, 'function_handle') == 0
        print_mfile(f, fid);
    else
        chaine = func2str(f);
        if exist(chaine, 'file') == 2
            print_mfile(chaine, fid);
        else
            k=1; while chaine(k) ~= ')', k = k+1; end
            k=k+1; while chaine(k) == ' ', k = k+1; end
            chaine2=chaine(k:end);
            fwrite(fid, chaine2);
        end
    end
  
  fprintf(fid, '%s\r\n\r\n', ' ');
  fprintf(fid, 'Arguments initiaux :\r\n');
  fprintf(fid, '------------------\r\n');
else
  fprintf(fid, 'Arguments initiaux :\r\n');
  fprintf(fid, '------------------\r\n');    
  fprintf(fid, 'Points d''integration:');
  fprintf(fid, '  % 17.10E\r\n',f(1));
  fprintf(fid, '                       % 17.10E\r\n', f(2:2^(n-1)+1)');
  fprintf(fid, '\r\n\');
end
fprintf(fid, 'Bornes d''integration :              a = % E\r\n', a);
fprintf(fid, '                                    b = % E\r\n', b);
fprintf(fid, 'Nombre de sous-intervalles : N = % 3.0f\r\n\r\n\r\n', N);
fprintf(fid, 'Valeurs des extrapolations :\r\n');
fprintf(fid, '--------------------------\r\n');
impair = rem(n,2);
if (impair == 0),
  m = n;
else
  m = n-1;
end
for k=1:2:m,
  if (k == n-1),
    pluriel = '';
  else
    pluriel = 's';
  end
  if (2*k >= 10),
    ss1 = ['Approximations d''ordre ', int2str(2*k)];
    ss2 = 'Approximation'; sss2 = [' d''ordre ', int2str(2*(k+1))];
  else
    ss1 = ['Approximations d''ordre ', int2str(2*k), ' '];
    ss2 = 'Approximation'; sss2 = [' d''ordre ', int2str(2*(k+1))];
  end
  fprintf(fid, '  %s      %s%s%s\r\n\r\n', ss1, ss2, pluriel, sss2);
  if(k >= 10)
    for j=1:n-k,
       if (j >= 10),
         s1 = ['T(', int2str(k), ',', int2str(j), ')'];
         s2 = ['T(', int2str(k+1), ',', int2str(j), ')'];
       else
         s1 = [' T(', int2str(k), ',', int2str(j), ')'];
         s2 = [' T(', int2str(k+1), ',', int2str(j), ')'];
       end
       fprintf(fid, '%s = % 17.10E  %s = % 17.10E\r\n', s1, T(k,j), s2, T(k+1,j));
    end
    if (n-k+1 >= 10),
      s1 = ['T(', int2str(k), ',', int2str(n-k+1), ')'];
    else
      s1 = [' T(', int2str(k), ',', int2str(n-k+1), ')'];
    end
    fprintf(fid, '%s = % 17.10E\r\n\r\n', s1, T(k,n-k+1));
  elseif (k+1 >= 10),
    for j=1:n-k,
       if (j >= 10),
         s1 = [' T(', int2str(k), ',', int2str(j), ')'];
         s2 = ['T(', int2str(k+1), ',', int2str(j), ')'];
       else
         s1 = ['  T(', int2str(k), ',', int2str(j), ')'];
         s2 = [' T(', int2str(k+1), ',', int2str(j), ')'];   
       end
       fprintf(fid, '%s = % 17.10E  %s = % 17.10E\r\n', s1, T(k,j), s2, T(k+1,j));
    end
    if (n-k+1 >= 10),
      s1 = [' T(', int2str(k), ',', int2str(n-k+1), ')'];
    else
      s1 = ['  T(', int2str(k), ',', int2str(n-k+1), ')'];
    end
    fprintf(fid, '%s = % 17.10E\r\n\r\n', s1, T(k,n-k+1));
  else
    for j=1:n-k,
       if (j >= 10),
         s1 = [' T(', int2str(k), ',', int2str(j), ')'];
         s2 = [' T(', int2str(k+1), ',', int2str(j), ')'];
       else
         s1 = ['  T(', int2str(k), ',', int2str(j), ')'];
         s2 = ['  T(', int2str(k+1), ',', int2str(j), ')'];   
       end
       fprintf(fid, '%s = % 17.10E  %s = % 17.10E\r\n', s1, T(k,j), s2, T(k+1,j));
    end
    if (n-k+1 >= 10),
      s1 = [' T(', int2str(k), ',', int2str(n-k+1), ')'];
    else
      s1 = ['  T(', int2str(k), ',', int2str(n-k+1), ')'];
    end
    fprintf(fid, '%s = % 17.10E\r\n\r\n', s1, T(k,n-k+1));
  end
end
if (impair == 1)
  ss = ['Approximation d''ordre ', int2str(2*n)];
  if(n >= 10)
    s = [' T(', int2str(n), ',1)'];
  else
    s = ['  T(', int2str(n), ',1)'];
  end
  fprintf(fid, '  %s\r\n\r\n', ss);
  fprintf(fid, '%s = % 17.10E\r\n\r\n', s, T(n,1));
end
fprintf(fid, '\r\n\r\nApproximation finale de l''integrale :  % 17.10E\r\n', T(n,1));
fprintf(fid, '-----------------------------------\r\n');
fclose(fid);


function print_mfile(f, fid)
ff = [f '.m'];
fct = fopen(ff, 'r');
fit = fread(fct, 'char');
fclose(fct);
ftt = find(fit == 10);
gtt = fit(ftt(1)+ 1: length(fit));
fwrite(fid, gtt);