function newton_out(f, df, resul, x, fx, nmax, epsilon, converg)

N = length(x);
fid = fopen(resul, 'w');
fprintf(fid, '       Methode de Newton\r\n'); 
fprintf(fid, '       -----------------\r\n\r\n');
fprintf(fid, 'Fonctions :  \r\n');
fprintf(fid, '---------\r\n');

if isa(f, 'function_handle') == 0
    print_mfile(f, fid);
else
    chaine = func2str(f);
    if exist(chaine, 'file') == 2
        print_mfile(chaine, fid);
    else
        k=1; while chaine(k) ~= ')', k = k+1; end
        k=k+1; while chaine(k) == ' ', k = k+1; end
        chaine2=chaine(k:end);
        fwrite(fid, chaine2);
    end
end
fprintf(fid, '\n');
if isa(df, 'function_handle') == 0
    print_mfile(df, fid);
else
    chaine = func2str(df);
    if exist(chaine, 'file') == 2
        print_mfile(chaine, fid);
    else
        k=1; while chaine(k) ~= ')', k = k+1; end
        k=k+1; while chaine(k) == ' ', k = k+1; end
        chaine2=chaine(k:end);
        fwrite(fid, chaine2);
    end
end

fprintf(fid, '%s\r\n\r\n', ' ');
fprintf(fid, 'Arguments initiaux :\r\n');
fprintf(fid, '------------------\r\n');
fprintf(fid, 'Nombre maximal d''iterations : nmax =  %6.0f\r\n', nmax);
fprintf(fid, 'Critere d''arret :             epsilon =  %E\r\n', epsilon);
fprintf(fid, 'Estimation initiale :         x_0 = %E\r\n\r\n\r\n', x(1));
fprintf(fid, ' Iter.               x_i                    f(x_i)\r\n\r\n');
for n=1:N,
  fprintf(fid, '%4.0f          % 17.10E        % E\r\n', n-1, x(n), fx(n));
end
if (converg)
  fprintf(fid, '\r\n\r\n  Approximation finale de la racine:  r = %17.10E\r\n', x(N));
  fprintf(fid, '  ---------------------------------\r\n');
elseif (N == 1)
  fprintf(fid, '\r\n\r\n  Il n''y a pas de convergence.\r\n');
else
  fprintf(fid, '\r\n\r\n  Il n''y a pas de convergence apres %1.0f iterations.\r\n', N-1);
end
fclose(fid);

function print_mfile(f, fid)
ff = [f '.m'];
fct = fopen(ff, 'r');
fit = fread(fct, 'char');
fclose(fct);
ftt = find(fit == 10);
gtt = fit(ftt(1)+ 1: length(fit));
fwrite(fid, gtt);