function polynome_newton_out(resul, xi, fxi, D, a, x, ev)

n = length(xi);
fid = fopen(resul, 'w');
fprintf(fid, '       Polynome d''interpolation de Newton\r\n');
fprintf(fid, '       ----------------------------------\r\n\r\n');
fprintf(fid, ' Donnees initiales :\r\n');
fprintf(fid, ' ----------------\r\n');
fprintf(fid, ' Points d''interpolation :\r\n\r\n');
for k=0:n-1,
   if (k < 10),
      fprintf(fid, '    x%-3.0f = % 17.10E     f(x%1.0f)   = % 17.10E\r\n', k, xi(k+1), k, fxi(k+1));
   elseif (k < 100)
      fprintf(fid, '    x%-3.0f = % 17.10E     f(x%2.0f)  = % 17.10E\r\n', k, xi(k+1), k, fxi(k+1));
   else
      fprintf(fid, '    x%-3.0f = % 17.10E     f(x%3.0f) = % 17.10E\r\n', k, xi(k+1), k, fxi(k+1));
   end
end                
fprintf(fid, '%s\r\n\r\n', ' ');

if (nargin < 6),
   fprintf(fid, ' Coefficients ai du polynome de Newton : (equation (5.6))\r\n');
   fprintf(fid, ' -------------------------------------\r\n\r\n');
   for k=0:n-1,
      fprintf(fid, '       a_%-3.0f = % 17.10E\r\n', k, a(k+1));
   end
   fprintf(fid, '%s\r\n\r\n', ' ');
   fprintf(fid, ' Valeurs des differences divisees :\r\n');
   fprintf(fid, ' --------------------------------\r\n\r\n');

   d1 = D(2:n,2:n);
   d=d1(:);
   som = 0;
   for k=1:n-2,
     som = n - k + som;
     d(som+1:som+k)=[];
   end
   N = length(d1);
   s = [];
   for k=1:n-1,
     if (k-1 >= 10),
       s = [s; blanks(4), 'f[x', int2str(k-1), ',x', int2str(k), ']'];
     elseif (k >=10)
       s = [s; blanks(5), 'f[x', int2str(k-1), ',x', int2str(k), ']'];
     else
       s = [s; blanks(6), 'f[x', int2str(k-1), ',x', int2str(k), ']'];
     end
   end
   for k=1:n-2,
     if (k-1 >= 10),
       s = [s; s(k,5:13), ',x', int2str(k+1), ']'];
     elseif (k >=10)
       s = [s; ' ', s(k,6:13), ',x', int2str(k+1), ']'];
     elseif (k+1 >=10)
       s = [s; '  ', s(k,7:13), ',x', int2str(k+1), ']'];
     else
       s = [s; blanks(3), s(k,7:13), ',x', int2str(k+1), ']'];
     end
   end
   for k=3:n-1,
     for j=0:n-k-1,
        if (j >= 10),
          s = [s; 'f[x', int2str(j), ',...,x', int2str(j+k), ']'];
        elseif (j+k >= 10),
          s = [s; ' f[x', int2str(j), ',...,x', int2str(j+k), ']'];
        else
          s = [s; '  f[x', int2str(j), ',...,x', int2str(j+k), ']'];
        end
     end
   end
   impair = rem(N,2);
   if (impair == 0),
     mm = N;
   else
     mm = N-1;
   end
   ind = 0;
   for k=1:2:mm,
     if (k == N-1),
       pluriel = '';
     else
       pluriel = 's';
     end
     if (k >= 10),
       ss1 = [int2str(k), 'e differences divisees'];
       ss2 = [int2str(k+1), 'e difference']; sss2 = ' divisee';
     else
       ss1 = [int2str(k), 'e differences divisees '];
       ss2 = [int2str(k+1), 'e difference']; sss2 = ' divisee';
     end
     fprintf(fid, '  %s         %s%s%s%s\r\n\r\n', ss1, ss2, pluriel, sss2, pluriel);          
     for j=1:N-k,
        fprintf(fid, '%s = % E  %s = % E\r\n', s(ind+j,:), d(ind+j,:) , s(ind+j+N-k+1,:), d(ind+j+N-k+1));
     end
     fprintf(fid, '%s = % E\r\n\r\n', s(ind+N-k+1,:), d(ind+N-k+1) );
     ind = ind + 2*(N-k) + 1;
   end  
   if (impair == 1)
     ss = [int2str(N), 'e difference divisee'];
     fprintf(fid, '  %s\r\n\r\n', ss);
     fprintf(fid, '%s = % E\r\n\r\n', s(size(s,1),:), d(length(d)));
   end
else
   m = length(x);
   fprintf(fid, ' Evaluation du polynome de Newton :\r\n');
   fprintf(fid, ' --------------------------------\r\n\r\n');
   fprintf(fid, '     x          i        p_i(x)         p_i+1(x) - p_i(x)\r\n\r\n');
   for l=1:m,
      dif = diff(ev(:,l));   
      fprintf(fid, '% 6.5E %3.0f  % 17.10E  % 17.10E\r\n', x(l), 0, ev(1,l), dif(1));
      for k=2:n-1,
         fprintf(fid, '              %3.0f  % 17.10E  % 17.10E\r\n', k-1, ev(k,l), dif(k));
      end 
      fprintf(fid, '              %3.0f  % 17.10E\r\n\r\n', n-1, ev(n,l));
   end
end
fclose(fid);