function spine_cubique_out(resul, S, fpp, Sx, xi, fxi, cdt, x, fpx0, fpxn)

n = length(xi)-1;
p = length(fpp);
fid = fopen(resul, 'w');
fprintf(fid, '       Spline cubique\r\n');
fprintf(fid, '       --------------\r\n\r\n');
fprintf(fid, ' Donnees initiales :\r\n');
fprintf(fid, ' ----------------\r\n');
if strcmp(cdt, 'dp') == 1
  fprintf(fid, ' f_0'' = % 15.10E  f_%1.0f'' = % 15.10E\r\n\r\n', fpx0, n, fpxn);
elseif strcmp(cdt, 'ds') == 1
  fprintf(fid, ' f_0" = % 15.10E  f_%1.0f" = % 15.10E\r\n\r\n', fpp(1), n, fpp(p));
elseif strcmp(cdt, 'n') == 1
   fprintf(fid, ' f_0" = 0  f_%1.0f" = 0  (spline naturelle)\r\n\r\n', n);
elseif strcmp(cdt, 'cc') == 1
   fprintf(fid, ' f_0" = f_1"   et    f_n-1" = f_n"\r\n\r\n');
end  
fprintf(fid, ' Points d''interpolation :\r\n\r\n');
for k=0:n,
   if (k < 10),
      fprintf(fid, '    x_%-3.0f = % 17.10E     f(x_%1.0f)   = % 17.10E\r\n', k, xi(k+1), k, fxi(k+1));
   elseif (k < 100)
      fprintf(fid, '    x_%-3.0f = % 17.10E     f(x_%2.0f)  = % 17.10E\r\n', k, xi(k+1), k, fxi(k+1));
   else
      fprintf(fid, '    x_%-3.0f = % 17.10E     f(x_%3.0f) = % 17.10E\r\n', k, xi(k+1), k, fxi(k+1));
   end
end                               
fprintf(fid, '%s\r\n\r\n', ' ');
if (isempty(x)),
   fprintf(fid, ' Valeurs des derivees secondes de la spline :\r\n');
   fprintf(fid, ' ------------------------------------------\r\n\r\n'); 
   fprintf(fid, '    i        f_i"\r\n\r\n');
   for k=1:n+1,
      fprintf(fid, ' %4.0f  % 17.10E\r\n\', k-1, fpp(k));
   end
   fprintf(fid, ' \r\n\r\n');
   fprintf(fid, ' Coefficients des polynomes d''interpolation :\r\n');
   fprintf(fid, ' ------------------------------------------\r\n');
   fprintf(fid, ' Les coefficients a_i, b_i, c_i et d_i sont tels que :\r\n\r\n');
   fprintf(fid, ' p_i(x) = a_i*x^3 + b_i*x^2 + c_i*x + d_i\r\n\r\n');
   fprintf(fid, '   i       a_i            b_i            c_i            d_i\r\n\r\n');
   for k=1:n,
      fprintf(fid, '%4.0f  % E % E % E % E\r\n', k, S(k,1), S(k,2), S(k,3), S(k,4));
   end
else
   m = length(x);
   fprintf(fid, ' Evaluation de la spline cubique:\r\n');
   fprintf(fid, ' -------------------------------\r\n\r\n');
   fprintf(fid, '         x                  S(x)\r\n\r\n');
   for i=1:m,
     fprintf(fid, ' % 17.10E   % 17.10E\r\n', x(i), Sx(i));
   end
end
fclose(fid);