function points_fixes_out(g, resul, x, gx, errel, nmax, epsilon, converg)

N = length(x);
fid = fopen(resul, 'w');
fprintf(fid, '       Methode de Steffenson \r\n');
fprintf(fid, '       ------------------------\r\n\r\n');
fprintf(fid, 'Fonction :  \r\n');
fprintf(fid, '--------\r\n');

if isa(g, 'function_handle') == 0
    print_mfile(g, fid);
else
    chaine = func2str(g);
    if exist(chaine, 'file') == 2
        print_mfile(chaine, fid);
    else
        k=1; while chaine(k) ~= ')', k = k+1; end
        k=k+1; while chaine(k) == ' ', k = k+1; end
        chaine2=chaine(k:end);
        fwrite(fid, chaine2);
    end
end

fprintf(fid, ' %s\r\n\r\n', ' ');
fprintf(fid, 'Arguments initiaux :\r\n');
fprintf(fid, '------------------\r\n');
fprintf(fid, 'Nombre maximal d''iterations : nmax =  %6.0f\r\n', nmax);
fprintf(fid, 'Critere d''arret :             epsilon =  %E\r\n', epsilon);
fprintf(fid, 'Estimation initiale :         x_0 =  %E\r\n\r\n\r\n', x(1));
fprintf(fid, ' Iter.      x_i                 g(x_i)        |x_i - x_i-1|/|x_i|\r\n\r\n');
fprintf(fid, '%4.0f  % 17.10E  % 17.10E       ------\r\n', 0, x(1), gx(1));
for n=2:N,
  fprintf(fid, '%4.0f  % 17.10E  % 17.10E  % 17.10E\r\n', n-1, x(n), gx(n), errel(n-1));
end
if (converg)
  fprintf(fid, '\r\n\r\n  Approximation finale du point fixe:  r = %17.10E\r\n', x(N));
  fprintf(fid, '  ----------------------------------\r\n');
elseif (N == 1)
  fprintf(fid, '\r\n\r\n  Il n''y a pas de convergence.\r\n');
else
  fprintf(fid, '\r\n\r\n  Il n''y a pas de convergence apres %1.0f iterations.\r\n', N-1);
end
fclose(fid);

function print_mfile(f, fid)
ff = [f '.m'];
fct = fopen(ff, 'r');
fit = fread(fct, 'char');
fclose(fct);
ftt = find(fit == 10);
gtt = fit(ftt(1)+ 1: length(fit));
fwrite(fid, gtt);
