function systeme_non_lineaire_out(f, resul, x, R, nmax, h, epsilon, converg)

[n,m] = size(x);
fid = fopen(resul, 'w');
fprintf(fid, '       Methode de Newton pour les systemes non lineaires\r\n');
fprintf(fid, '       -------------------------------------------------\r\n\r\n');
fprintf(fid, 'Fonctions du systeme :  \r\n');
fprintf(fid, '--------------------\r\n'); 

if isa(f, 'function_handle') == 0
    print_mfile(f, fid);
else
    chaine = func2str(f);
    if exist(chaine, 'file') == 2
        print_mfile(chaine, fid);
    else
        k=1; while chaine(k) ~= ')', k = k+1; end
        k=k+1; while chaine(k) == ' ', k = k+1; end
        chaine2=chaine(k:end);
        fwrite(fid, chaine2);
    end
end

fprintf(fid, '%s\r\n\r\n', ' ');
fprintf(fid, 'Arguments initiaux :\r\n');
fprintf(fid, '------------------\r\n');
fprintf(fid, 'Nombre maximal d''iterations : nmax =  %6.0f\r\n', nmax);
fprintf(fid, 'Critere d''arret :             epsilon =  %E\r\n', epsilon);
fprintf(fid, 'Differences finies :          h =  %E\r\n\r\n', h);
if (m == 1),
  fprintf(fid, 'Iter.      x_i        ||R(x_i)||\r\n\r\n');
elseif (m == 2)
  fprintf(fid, 'Iter.              x_i                ||R(x_i)||\r\n\r\n');
else
  fprintf(fid, 'Iter.                      x_i                        ||R(x_i)||\r\n\r\n');
end
for k=1:n
  if (m == 1), 
    fprintf(fid, '%3.0f  % E  % 6.4E\r\n', k-1, x(k), R(k));
  elseif (m == 2)
    fprintf(fid, '%3.0f  % E  % E  % 6.4E\r\n', k-1, x(k,1), x(k,2), R(k));
  elseif (m == 3)
    fprintf(fid, '%3.0f  % E  % E  % E  % 6.4E\r\n', k-1, x(k,1), x(k,2), x(k,3), R(k));
  else
    r = rem(m,3);
    p = fix(m/3);
    fprintf(fid, '%3.0f  % E  % E  % E\r\n', k-1, x(k,1), x(k,2), x(k,3));
    for j=2:p-1,
      fprintf(fid, '     % E  % E  % E\r\n', x(k,3*(j-1)+1), x(k,3*(j-1)+2), x(k,3*(j-1)+3));
    end
    if (r == 1),
      if (p == 1),
        fprintf(fid, '     % E                                  % 6.4E\r\n', x(k,m), R(k));
      else
        fprintf(fid, '     % E  % E  % E\r\n', x(k,3*(p-1)+1), x(k,3*(p-1)+2), x(k,3*(p-1)+3));
        fprintf(fid, '     % E                                  % 6.4E\r\n', x(k,m), R(k));
      end
    elseif (r == 2)
      if (p == 1),
        fprintf(fid, '     % E  % E                  % 6.4E\r\n', x(k,m-1), x(k,m), R(k));
      else
        fprintf(fid, '     % E  % E  % E\r\n', x(k,3*(p-1)+1), x(k,3*(p-1)+2), x(k,3*(p-1)+3));
        fprintf(fid, '     % E  % E                  % 6.4E\r\n', x(k,m-1), x(k,m), R(k));
      end
    else
      fprintf(fid, '     % E  % E  % E  % 6.4E\r\n', x(k,m-2), x(k,m-1), x(k,m), R(k));
    end 
  end 
end
if (converg)
  fprintf(fid, '\r\n\r\n  Approximation finale de la solution:  r = % 17.10E\r\n', x(n,1));
  if (m == 1),
    fprintf(fid, '  -----------------------------------\r\n');
  else
    fprintf(fid, '  -----------------------------------       % 17.10E\r\n', x(n,2));
    if (m >= 3),
      fprintf(fid, '                                            % 17.10E\r\n', x(n,3:m));
    end
  end
elseif (n == 1)
  fprintf(fid, '\r\n\r\n  Il n''y a pas de convergence.\r\n');
else
  fprintf(fid, '\r\n\r\n  Il n''y a pas de convergence apres %1.0f iterations.\r\n', n-1);
end
fclose(fid);

function print_mfile(f, fid)
ff = [f '.m'];
fct = fopen(ff, 'r');
fit = fread(fct, 'char');
fclose(fct);
ftt = find(fit == 10);
gtt = fit(ftt(1)+ 1: length(fit));
fwrite(fid, gtt);